- Home
- Cyrus IMAP
- Download
- Contribute

# sasl_set_alloc - set the memory allocation functions used by the SASL library

## Synopsis

    #include <sasl/sasl.h>

    void sasl_set_alloc(sasl_malloc_t *m,
                        sasl_calloc_t *c,
                        sasl_realloc_t *r,
                        sasl_free_t *f);

## Description

void sasl_set_alloc(sasl_malloc_t *m,
sasl_calloc_t *c,
sasl_realloc_t *r,
sasl_free_t *f);

  Use the sasl_set_alloc() interface to set the memory allocation routines that the SASL library and plug‐ins will use.

  Parameters

    - m – A pointer to a malloc() function.

    - c – A pointer to a calloc() function.

    - r – A pointer to a realloc() function.

    - f – A pointer to a free() function.

## Return Value

No return values.

## See Also

malloc(3), calloc(3), realloc(3), free(3).